Contact
Contact provides access to the contact resource. This is where all contacts are held..
Amended 2017-12-07 Customer Properties Example of a returned customer object with an included outlet
{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"Contact": [
{
"id": 10738,
"Name": "New Contact",
"Position": "",
"Telephone": "",
"Email": "Erik Neirinckx <erik@studiof.be>",
"Mobile": "",
"Table_Number": 7,
"CompanyContactsID": 2268207
}
]
}
}
| Property | Example | Description |
|---|---|---|
| id | 10738 Unique contact id | |
| Name | "New Contact" | The contacts name |
| Position | "Sales" | The job title or position of the contact |
| Telephone | "Hutton" | Contacts telephone number |
| "" | Contacts email address | |
| Mobile | 1 | Contactsmobile number |
| Table_Number | 7 | The table to which the contact is related to: 12 = Customer, 7 = Outlet, 4 = Supplier & 70 = Agents |
| ContactTableID | 2268207 | A composite key for the related entity record and the table number. |
Contact Methods
GET /api/contact
Returns all contacts in the system .